@keyframes zoomIn {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}

@keyframes rotatingGear {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(90deg);
  }
}

body {
    /* disable long press in iOS? */
    -webkit-touch-callout: none;
    overflow: hidden;
}

.mainUI {
    border: 0px solid pink; 
    position: absolute; 
    bottom: -10px;
    left: -70px;  
    width:99%; 
    height:99%; 
    z-index: 1; 
    pointer-events: none; /* allow click-through in transparent areas */
    transform: translate(-30px, 50px) scale(0.7);
}

.regionUI {
    border: 0px solid yellow;
    position: absolute; 
    display: flex;
    flex-direction: row;
    pointer-events: none;
}

.buttonUI {
    border: 0px solid lime;
    display: flex;
    flex-direction: column;
    justify-content: center;
    pointer-events: auto;	
    filter: drop-shadow(0px 0px 20px white);
}

.skyColor {
    filter: hue-rotate(240deg) saturate(100%) brightness(100%) drop-shadow(0px 0px 20px white);
}

.baseColor {
    filter: hue-rotate(24deg) saturate(68%) brightness(100%) drop-shadow(0px 0px 20px white);
}

.grayColor {
    filter: hue-rotate(0deg) saturate(0%) brightness(100%) drop-shadow(0px 0px 20px white);
}

#testo {
  position: absolute;
  top: 10px;
  left:10px;
  width:15mm;
  font-family: arial;
  color: white;
  background-color: #444;
  border: 2px solid #555;
  padding: 8px;
  text-align: center;
}


#background_pop_up{
  background-size: 90% 90%;
  background: black;
  opacity: 0.9;
  border: 10px solid rgba(0, 0, 0, .5);
  top: 0;
  cursor: pointer;
  min-width: 58px;
  min-height: 34px;
  position: absolute;
  transition: background-color .05s ease;
  -webkit-transition: background-color .05s ease;
  z-index: 9900;
  border-radius: 4px;
  touch-action: manipulation;
  height: 100vh;
  width: 100%;
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.7), 0 6px 20px 0 rgba(0, 0, 0, 0.79);
}

html.a-fullscreen .a-canvas {
  width: 100%!important;
  height: 100%!important;
  top: 0!important;
  left: 0!important;
  right: 0!important;
  bottom: 0!important;
  position: fixed!important;
  background: white!important;
}
  
.a-enter-ar-button, .a-enter-vr-button {
  display: none!important;
}

#testo:hover{
  background-color: #2f2f2f;
  text-shadow: 0px 0px 10px #1eb7da;
  border: 2px solid #999;
}

#testo:active{
  background-color: #2f2f2f;
  text-shadow: 0px 0px 10px #1e79cf;
  border: 2px solid #fff;
}

.loading-background{
  position: absolute;
  display: flex;
  justify-content: center;
  align-items: flex-end;
  width: 100%;
  height: 100%;
  background-color: #123E65;
  background-image: url('/assets/loading/CER_logo.png');
  background-repeat: no-repeat;
  background-attachment: fixed;
  background-position: center;
  background-size: contain;
}

.loading-message{
  width: 8%;
  height: auto;
  animation: 512ms ease-out 0s infinite rotatingGear;
  padding-top: 2mm;
}

.main-elements{
  opacity: 0;
  display: none;
}

.main-element-loaded{
  display: block;
  animation: 1s ease-out 0s 1 zoomIn forwards;
}

.iframe_pop_up{
		background-size: 90% 90%;
    border: 0;
    top: 0;
    cursor: pointer;
    width: 100%;
    height: 100%;
    padding-right: 0;
    padding-top: 0;
    position: absolute;
    right: 0;
    transition: background-color .05s ease;
    -webkit-transition: background-color .05s ease;
    z-index: 9999;
    border-radius: 8px;
    touch-action: manipulation;
		}

	.jitsi_pop_up{
		background-size: 90% 90%;
    border: 0;
    top: 0;
    cursor: pointer;
    width: 38vh;
    height: 100%;
    padding-right: 0;
    padding-top: 0;
    position: absolute;
    right: 0;
    transition: background-color .05s ease;
    -webkit-transition: background-color .05s ease;
    z-index: 9999;
    border-radius: 8px;
    touch-action: manipulation;
		}
          
    .whiteboard_pop_up{
		background-size: 90% 90%;
    border: 0;
    top: 0;
    cursor: pointer;
	width: 70%;
	height: 100%;
    padding-right: 0;
    padding-top: 0;
    position: absolute;
    left: 0;
    transition: background-color .05s ease;
    -webkit-transition: background-color .05s ease;
    z-index: 9999;
    border-radius: 8px;
    touch-action: manipulation;
	float: right;
		}
          
    .pop_up {
font-family: arial;
    background-size: 90% 90%;
	background: black;
	opacity: 1;
    border: 10px solid rgba(0, 0, 0, .5);
    top: 0;
    cursor: pointer;
    min-width: 58px;
    min-height: 34px;
    padding-right: 0;
    padding-top: 0;
    position: absolute;
    left: 30%;
    transition: background-color .05s ease;
    -webkit-transition: background-color .05s ease;
    z-index: 9999;
    border-radius: 4px;
    touch-action: manipulation;
	box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.7), 0 6px 20px 0 rgba(0, 0, 0, 0.79);
}
   
   .close_jitsi {
font-family: arial;
    background-size: 90% 90%;
	background: black;
    top: 30px;
    cursor: pointer;
    min-width: 58px;
    min-height: 34px;
    padding-right: 0;
    padding-top: 0;
    position: absolute;
    left: 0px;
    transition: background-color .05s ease;
    -webkit-transition: background-color .05s ease;
    z-index: 9999;
    touch-action: manipulation;
	width: 120px;
}
      
      
    body{
      font-family: 'Roboto', sans-serif;
      /*text-shadow: 0px 0px 10px #00d2ff;*/
      color: #fff;
      font-size: 32px;
    }

    h1{
      font-size: 52px;
    }
    .dark{
      background-color: rgba(0,0,0,0.2);
      border-radius:50px;  
      background-repeat: no-repeat;
      background-position: bottom right;
      padding: 40px;
    }
    .main{
      width: 1024px;
      height: 768px;
      overflow: hidden;
    }
    .menu{
      width: 256px;
      height: 768px;
      text-align: center;
    }
    .menu ul{
      list-style-type: none;
      margin: 0;
      padding: 0;
    }
    a.button{
      display: inline-block;
      width: 100%;
      border-radius: 20px;
      background-color: #000;
      color: #fff;
      text-decoration: none;
      text-align: center;
      padding: 10px 0;
      margin-bottom: 20px;
    }
    a.button:hover{
      background-color: #fff;
      color: #888;
    }
    a.button:active{
      background-color: #fff;
      color: #888;
      box-shadow: 0px 0px 50px #00d2ff;
    }
    a.imgLink{
      width: 100%;
      border-radius: 20px;
      color: #fff;
      text-decoration: none;
      text-align: center;
      padding: 10px 0;
      margin-bottom: 20px;
      background-color: #444;
      border: 3px solid #444;
      text-shadow: none;
      display: block;
    }
    a.imgLink:hover{
      border: 3px solid #fff;
      background-color: #444;
    }
    .code{
      white-space: pre;
      font-size: 0.7em;
      background-color: #000;
      margin-bottom: 30px;
    }
    .next,.prev{
      position: absolute;
      bottom: 0px;
      right: 30px;
      display: inline-block;
      width: auto !important;
      padding: 20px 30px !important;
    }
    .prev{
      right: auto;
      left: 30px;
    }
    #page1{
      position: relative;
      height: 100%;
    }
    #page2, #page3, #page4{
      display: none;
      position: relative;
      height: 100%;
    }
    .slide{
      height:100%;
    }
    .slide:target #page1{
      display: none;
    }
    #slide2:target #page2{
      display: block;
    }
    #slide3:target #page3{
      display: block;
    }
    #slide4:target #page4{
      display: block;
    }
    #page4 ul{
      list-style-type: square;
      font-size: 0.8em;
    }
      
		.controllodestro{
  border: 1px black solid;
background: rgba(225, 225, 225, .5);
 width:150px;
   height:150px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 16px;
  margin: 4px 2px;
  z-index: 10000;
  position: absolute;
  right: 100px;
  bottom: 0;
  border-radius: 50%;
  pointer-events: none;
		}
      
		.menu_action{
font-family: arial;
    background-size: 90% 90%;
    top: 0;
    cursor: pointer;
    min-width: 58px;
    min-height: 34px;
    padding-right: 0;
    padding-top: 0;
    position: absolute;
    left: 10px;
    transition: background-color .05s ease;
    -webkit-transition: background-color .05s ease;
    z-index: 9999;
    border-radius: 8px;
    touch-action: manipulation;
		}
      
      
  .menu_button {
font-family: arial;
    background-size: 90% 90%;
    bottom: 20px;
    cursor: pointer;
    min-width: 58px;
    min-height: 34px;
    padding-right: 0;
    padding-top: 0;
    position: absolute;
    left: 10px;
    transition: background-color .05s ease;
    -webkit-transition: background-color .05s ease;
    z-index: 9999;
    border-radius: 8px;
    touch-action: manipulation;
}

  .day {
font-family: arial;
    background-size: 90% 90%;
    bottom: 20px;
    cursor: pointer;
    min-width: 58px;
    min-height: 34px;
    padding-right: 0;
    padding-top: 0;
    position: absolute;
    left: 55px;
    transition: background-color .05s ease;
    -webkit-transition: background-color .05s ease;
    z-index: 9999;
    border-radius: 8px;
    touch-action: manipulation;
}

  .night {
font-family: arial;
    background-size: 90% 90%;
    bottom: 20px;
    cursor: pointer;
    min-width: 58px;
    min-height: 34px;
    padding-right: 0;
    padding-top: 0;
    position: absolute;
    left: 105px;
    transition: background-color .05s ease;
    -webkit-transition: background-color .05s ease;
    z-index: 9999;
    border-radius: 8px;
    touch-action: manipulation;
}

  .meet {
font-family: arial;
    background-size: 90% 90%;
    bottom: 20px;
    cursor: pointer;
    min-width: 58px;
    min-height: 34px;
    padding-right: 0;
    padding-top: 0;
    position: absolute;
    left: 155px;
    transition: background-color .05s ease;
    -webkit-transition: background-color .05s ease;
    z-index: 9999;
    border-radius: 8px;
    touch-action: manipulation;
}
  .salva {
font-family: arial;
    background-size: 90% 90%;
    bottom: 20px;
    cursor: pointer;
    min-width: 58px;
    min-height: 34px;
    padding-right: 0;
    padding-top: 0;
    position: absolute;
    left: 205px;
    transition: background-color .05s ease;
    -webkit-transition: background-color .05s ease;
    z-index: 9999;
    border-radius: 8px;
    touch-action: manipulation;
}

      .image_zoom {
font-family: arial;
	background: rgba(0, 0, 0, .9);
    top: 0;
    cursor: pointer;
    min-width: 58px;
    min-height: 34px;
    padding-right: 0;
    padding-top: 0;
    position: absolute;
    left: auto;
	right: auto;
	bottom: 10%;
    transition: background-color .05s ease;
    -webkit-transition: background-color .05s ease;
    z-index: 9999;
    border-radius: 4px;
    touch-action: manipulation;
	width: 100%;
	height: 100%;
	box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.7), 0 6px 20px 0 rgba(0, 0, 0, 0.79);

}

        #fullscreenmask, #mask {
            color: #fff;
            text-align: center;
            font-size: 3vh;
            font-family: Roboto, Arial;
        }

        #fullscreenmask:before {
            content: 'Rotate Device on Smartphone and Click for FULLSCREEN';
            position: relative;
            top: 30%;
        }

        #mask:before {
            content: 'Scroll Down for Fullscreen';
            position: relative;
            top: 30%;
        }

        body {
            margin: 0;
			background-color: #000000;
 }